## AgsRecallAudio

AgsRecallAudio — The recall base class of audio context

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsAudio * | ags_recall_audio_get_audio ()
void | ags_recall_audio_set_audio ()
AgsRecallAudio * | ags_recall_audio_new ()

## Properties

AgsAudio * | audio | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsRecall
            ╰── AgsRecallAudio
                ├── AgsFxAnalyseAudio
                ├── AgsFxBufferAudio
                ├── AgsFxNotationAudio
                ├── AgsFxEnvelopeAudio
                ├── AgsFxEq10Audio
                ├── AgsFxHighPassAudio
                ├── AgsFxLadspaAudio
                ├── AgsFxLfoAudio
                ├── AgsFxLowPassAudio
                ├── AgsFxPatternAudio
                ├── AgsFxPeakAudio
                ├── AgsFxPlaybackAudio
                ├── AgsFxTremoloAudio
                ├── AgsFxTwoPassAliaseAudio
                ├── AgsFxVolumeAudio
                ╰── AgsFxWahWahAudio

## Includes

    #include <ags/audio/ags_recall_audio.h>

## Description

AgsRecallAudio acts as audio recall and hosts AgsPort for audio context ports.

## Functions

### ags_recall_audio_get_audio ()

    AgsAudio *
    ags_recall_audio_get_audio (AgsRecallAudio *recall_audio);

Get audio.

#### Parameters

recall_audio | the AgsRecallAudio |

#### Returns

the AgsAudio.

[transfer full]

Since: 3.1.0

### ags_recall_audio_set_audio ()

    void
    ags_recall_audio_set_audio (AgsRecallAudio *recall_audio,
                                AgsAudio *audio);

Set audio.

#### Parameters

recall_audio | the AgsRecallAudio |
audio | the AgsAudio |

Since: 3.1.0

### ags_recall_audio_new ()

    AgsRecallAudio *
    ags_recall_audio_new (AgsAudio *audio);

Creates an AgsRecallAudio.

#### Parameters

audio | the assigned AgsAudio |

#### Returns

a new AgsRecallAudio.

Since: 3.0.0

## Property Details

### The `“audio”` property

      “audio”                    AgsAudio *

The assigned audio.

Owner: AgsRecallAudio

Flags: Read / Write

Since: 3.0.0